
---
events:
  -
    kind: "message-v1"
    backtrace:
      - "/usr/share/cmake-3.31/Modules/CMakeDetermineSystem.cmake:211 (message)"
      - "CMakeLists.txt:9 (project)"
    message: |
      The system is: SunOS - 5.11 - amd64
  -
    kind: "message-v1"
    backtrace:
      - "/usr/share/cmake-3.31/Modules/CMakeDetermineCompilerId.cmake:17 (message)"
      - "/usr/share/cmake-3.31/Modules/CMakeDetermineCompilerId.cmake:64 (__determine_compiler_id_test)"
      - "/usr/share/cmake-3.31/Modules/CMakeDetermineCCompiler.cmake:123 (CMAKE_DETERMINE_COMPILER_ID)"
      - "CMakeLists.txt:9 (project)"
    message: |
      Compiling the C compiler identification source file "CMakeCCompilerId.c" succeeded.
      Compiler: /usr/gcc/14/bin/gcc 
      Build flags: -m64;-O3;-D_LARGEFILE64_SOURCE
      Id flags:  
      
      The output was:
      0
      
      
      Compilation of the C compiler identification source "CMakeCCompilerId.c" produced "a.out"
      
      The C compiler identification is GNU, found in:
        /data/jenkins/workspace/oi-encumbered/components/encumbered/faad2/build/amd64/CMakeFiles/3.31.6/CompilerIdC/a.out
      
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/share/cmake-3.31/Modules/CMakeDetermineCompilerABI.cmake:74 (try_compile)"
      - "/usr/share/cmake-3.31/Modules/CMakeTestCCompiler.cmake:26 (CMAKE_DETERMINE_COMPILER_ABI)"
      - "CMakeLists.txt:9 (project)"
    checks:
      - "Detecting C compiler ABI info"
    directories:
      source: "/data/jenkins/workspace/oi-encumbered/components/encumbered/faad2/build/amd64/CMakeFiles/CMakeScratch/TryCompile-RBWLza"
      binary: "/data/jenkins/workspace/oi-encumbered/components/encumbered/faad2/build/amd64/CMakeFiles/CMakeScratch/TryCompile-RBWLza"
    cmakeVariables:
      CMAKE_C_FLAGS: "-m64 -O3  -D_LARGEFILE64_SOURCE"
      CMAKE_C_FLAGS_DEBUG: "-g"
      CMAKE_EXE_LINKER_FLAGS: "-m64"
    buildResult:
      variable: "CMAKE_C_ABI_COMPILED"
      cached: true
      stdout: |
        Change Dir: '/data/jenkins/workspace/oi-encumbered/components/encumbered/faad2/build/amd64/CMakeFiles/CMakeScratch/TryCompile-RBWLza'
        
        Run Build Command(s): /usr/bin/cmake -E env VERBOSE=1 /usr/bin/gmake -f Makefile cmTC_d6786/fast
        /usr/bin/gmake  -f CMakeFiles/cmTC_d6786.dir/build.make CMakeFiles/cmTC_d6786.dir/build
        gmake[1]: Entering directory '/data/jenkins/workspace/oi-encumbered/components/encumbered/faad2/build/amd64/CMakeFiles/CMakeScratch/TryCompile-RBWLza'
        Building C object CMakeFiles/cmTC_d6786.dir/CMakeCCompilerABI.c.o
        /usr/gcc/14/bin/gcc   -m64 -O3  -D_LARGEFILE64_SOURCE    -v -o CMakeFiles/cmTC_d6786.dir/CMakeCCompilerABI.c.o -c /usr/share/cmake-3.31/Modules/CMakeCCompilerABI.c
        Using built-in specs.
        COLLECT_GCC=/usr/gcc/14/bin/gcc
        Target: x86_64-pc-solaris2.11
        Configured with: /jenkins/jobs/oi-userland/workspace/components/developer/gcc-14/gcc-releases-gcc-14.2.0/configure CC=/usr/gcc/13/bin/gcc CXX=/usr/gcc/13/bin/g++ F77=/usr/gcc/13/bin/gfortran FC=/usr/gcc/13/bin/gfortran CFLAGS= CXXFLAGS= FFLAGS='  -O3 ' FCFLAGS=-O2 LDFLAGS=-RPT/lib PKG_CONFIG_PATH=/usr/mariadb/10.6/lib/amd64/pkgconfig:/usr/openssl/3.1/lib/64/pkgconfig:/usr/lib/amd64/pkgconfig:/usr/lib/pkgconfig --prefix=/usr/gcc/14 --mandir=/usr/gcc/14/share/man --bindir=/usr/gcc/14/bin --includedir=/usr/include --infodir=/usr/share/info --libdir=/usr/gcc/14/lib --libexecdir=/usr/gcc/14/libexec --localedir=/usr/gcc/14/share/locale --localstatedir=/var --sbindir=/usr/gcc/14/sbin --sysconfdir=/etc --sbindir=/usr/gcc/14/bin --libdir=/usr/gcc/14/lib --libexecdir=/usr/gcc/14/lib --host x86_64-pc-solaris2.11 --build x86_64-pc-solaris2.11 --target x86_64-pc-solaris2.11 --with-pkgversion='OpenIndiana 14.2.0-oi-1' --with-bugurl=https://bugs.openindiana.org --without-gnu-ld --with-ld=/usr/bin/ld --with-build-time-tools=/usr/gnu/x86_64-pc-solaris2.11/bin --with-gnu-as --with-as=/usr/bin/gas LDFLAGS=-R/usr/gcc/14/lib --with-ld=/usr/bin/ld --without-gnu-ld --with-as=/usr/bin/gas --with-gnu-as --with-build-time-tools=/usr/gnu//bin --with-build-config=no --enable-languages=c,c++,fortran,go,objc --enable-shared --with-system-zlib --enable-plugins --enable-__cxa_atexit --enable-initfini-array --with-diagnostics-urls=auto-if-env enable_frame_pointer=yes
        Thread model: posix
        Supported LTO compression algorithms: zlib zstd
        gcc version 14.2.0 (OpenIndiana 14.2.0-oi-1) 
        COLLECT_GCC_OPTIONS='-m64' '-O3' '-D' '_LARGEFILE64_SOURCE' '-v' '-o' 'CMakeFiles/cmTC_d6786.dir/CMakeCCompilerABI.c.o' '-c' '-mtune=generic' '-march=x86-64' '-dumpdir' 'CMakeFiles/cmTC_d6786.dir/'
         /usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/cc1 -quiet -v -D _LARGEFILE64_SOURCE /usr/share/cmake-3.31/Modules/CMakeCCompilerABI.c -quiet -dumpdir CMakeFiles/cmTC_d6786.dir/ -dumpbase CMakeCCompilerABI.c.c -dumpbase-ext .c -m64 -mtune=generic -march=x86-64 -O3 -version -o /var/tmp//cc7CqPza.s
        GNU C17 (OpenIndiana 14.2.0-oi-1) version 14.2.0 (x86_64-pc-solaris2.11)
        	compiled by GNU C version 14.2.0, GMP version 6.3.0, MPFR version 4.2.1, MPC version 1.3.1, isl version none
        GGC heuristics: --param ggc-min-expand=100 --param ggc-min-heapsize=131072
        ignoring nonexistent directory "/usr/local/include"
        ignoring nonexistent directory "/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/include-fixed"
        ignoring nonexistent directory "/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/../../../../x86_64-pc-solaris2.11/include"
        #include "..." search starts here:
        #include <...> search starts here:
         /usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/include
         /usr/gcc/14/include
         /usr/include
        End of search list.
        Compiler executable checksum: e1b01aca0ef3a2e8c68aac710dc2ed70
        COLLECT_GCC_OPTIONS='-m64' '-O3' '-D' '_LARGEFILE64_SOURCE' '-v' '-o' 'CMakeFiles/cmTC_d6786.dir/CMakeCCompilerABI.c.o' '-c' '-mtune=generic' '-march=x86-64' '-dumpdir' 'CMakeFiles/cmTC_d6786.dir/'
         /usr/bin/gas -v -V -Qy -s --64 -o CMakeFiles/cmTC_d6786.dir/CMakeCCompilerABI.c.o /var/tmp//cc7CqPza.s
        GNU assembler version 2.44 (x86_64-pc-solaris2.11) using BFD version (GNU Binutils) 2.44
        COMPILER_PATH=/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/:/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/:/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/:/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/:/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/:/usr/ccs/bin/
        LIBRARY_PATH=/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/:/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/../../../amd64/:/lib/amd64/:/usr/lib/amd64/:/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/../../../:/lib/:/usr/lib/
        COLLECT_GCC_OPTIONS='-m64' '-O3' '-D' '_LARGEFILE64_SOURCE' '-v' '-o' 'CMakeFiles/cmTC_d6786.dir/CMakeCCompilerABI.c.o' '-c' '-mtune=generic' '-march=x86-64' '-dumpdir' 'CMakeFiles/cmTC_d6786.dir/CMakeCCompilerABI.c.'
        Linking C executable cmTC_d6786
        /usr/bin/cmake -E cmake_link_script CMakeFiles/cmTC_d6786.dir/link.txt --verbose=1
        Using built-in specs.
        COLLECT_GCC=/usr/gcc/14/bin/gcc
        COLLECT_LTO_WRAPPER=/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/lto-wrapper
        Target: x86_64-pc-solaris2.11
        Configured with: /jenkins/jobs/oi-userland/workspace/components/developer/gcc-14/gcc-releases-gcc-14.2.0/configure CC=/usr/gcc/13/bin/gcc CXX=/usr/gcc/13/bin/g++ F77=/usr/gcc/13/bin/gfortran FC=/usr/gcc/13/bin/gfortran CFLAGS= CXXFLAGS= FFLAGS='  -O3 ' FCFLAGS=-O2 LDFLAGS=-RPT/lib PKG_CONFIG_PATH=/usr/mariadb/10.6/lib/amd64/pkgconfig:/usr/openssl/3.1/lib/64/pkgconfig:/usr/lib/amd64/pkgconfig:/usr/lib/pkgconfig --prefix=/usr/gcc/14 --mandir=/usr/gcc/14/share/man --bindir=/usr/gcc/14/bin --includedir=/usr/include --infodir=/usr/share/info --libdir=/usr/gcc/14/lib --libexecdir=/usr/gcc/14/libexec --localedir=/usr/gcc/14/share/locale --localstatedir=/var --sbindir=/usr/gcc/14/sbin --sysconfdir=/etc --sbindir=/usr/gcc/14/bin --libdir=/usr/gcc/14/lib --libexecdir=/usr/gcc/14/lib --host x86_64-pc-solaris2.11 --build x86_64-pc-solaris2.11 --target x86_64-pc-solaris2.11 --with-pkgversion='OpenIndiana 14.2.0-oi-1' --with-bugurl=https://bugs.openindiana.org --without-gnu-ld --with-ld=/usr/bin/ld --with-build-time-tools=/usr/gnu/x86_64-pc-solaris2.11/bin --with-gnu-as --with-as=/usr/bin/gas LDFLAGS=-R/usr/gcc/14/lib --with-ld=/usr/bin/ld --without-gnu-ld --with-as=/usr/bin/gas --with-gnu-as --with-build-time-tools=/usr/gnu//bin --with-build-config=no --enable-languages=c,c++,fortran,go,objc --enable-shared --with-system-zlib --enable-plugins --enable-__cxa_atexit --enable-initfini-array --with-diagnostics-urls=auto-if-env enable_frame_pointer=yes
        Thread model: posix
        Supported LTO compression algorithms: zlib zstd
        gcc version 14.2.0 (OpenIndiana 14.2.0-oi-1) 
        COMPILER_PATH=/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/:/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/:/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/:/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/:/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/:/usr/ccs/bin/
        LIBRARY_PATH=/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/:/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/../../../amd64/:/lib/amd64/:/usr/lib/amd64/:/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/../../../:/lib/:/usr/lib/
        COLLECT_GCC_OPTIONS='-O3' '-D' '_LARGEFILE64_SOURCE' '-m64' '-v' '-o' 'cmTC_d6786' '-mtune=generic' '-march=x86-64' '-dumpdir' 'cmTC_d6786.'
         /usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/collect2 -V -Y P,/usr/gcc/14/lib/amd64:/lib/amd64:/usr/lib/amd64 -L /usr/gcc/14/lib/amd64 -R /usr/gcc/14/lib/amd64 -Qy -o cmTC_d6786 /usr/lib/amd64/crt1.o /usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/crtp.o /usr/lib/amd64/crti.o /usr/lib/amd64/values-Xa.o /usr/lib/amd64/values-xpg6.o /usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/crtbegin.o -L/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0 -L/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/../../../amd64 -L/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/../../.. CMakeFiles/cmTC_d6786.dir/CMakeCCompilerABI.c.o -lgcc -z ignore -lgcc_s -z record -lc -lgcc -z ignore -lgcc_s -z record /usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/crtend.o /usr/lib/amd64/crtn.o
        ld: Software Generation Utilities - Solaris Link Editors: 5.11-1.1790 (illumos)
        COLLECT_GCC_OPTIONS='-O3' '-D' '_LARGEFILE64_SOURCE' '-m64' '-v' '-o' 'cmTC_d6786' '-mtune=generic' '-march=x86-64' '-dumpdir' 'cmTC_d6786.'
        /usr/gcc/14/bin/gcc -m64 -O3  -D_LARGEFILE64_SOURCE  -m64 -v CMakeFiles/cmTC_d6786.dir/CMakeCCompilerABI.c.o -o cmTC_d6786
        gmake[1]: Leaving directory '/data/jenkins/workspace/oi-encumbered/components/encumbered/faad2/build/amd64/CMakeFiles/CMakeScratch/TryCompile-RBWLza'
        
      exitCode: 0
  -
    kind: "message-v1"
    backtrace:
      - "/usr/share/cmake-3.31/Modules/CMakeDetermineCompilerABI.cmake:182 (message)"
      - "/usr/share/cmake-3.31/Modules/CMakeTestCCompiler.cmake:26 (CMAKE_DETERMINE_COMPILER_ABI)"
      - "CMakeLists.txt:9 (project)"
    message: |
      Parsed C implicit include dir info: rv=done
        found start of include info
        found start of implicit include info
          add: [/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/include]
          add: [/usr/gcc/14/include]
          add: [/usr/include]
        end of search list found
        collapse include dir [/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/include] ==> [/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/include]
        collapse include dir [/usr/gcc/14/include] ==> [/usr/gcc/14/include]
        collapse include dir [/usr/include] ==> [/usr/include]
        implicit include dirs: [/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/include;/usr/gcc/14/include;/usr/include]
      
      
  -
    kind: "message-v1"
    backtrace:
      - "/usr/share/cmake-3.31/Modules/CMakeDetermineCompilerABI.cmake:218 (message)"
      - "/usr/share/cmake-3.31/Modules/CMakeTestCCompiler.cmake:26 (CMAKE_DETERMINE_COMPILER_ABI)"
      - "CMakeLists.txt:9 (project)"
    message: |
      Parsed C implicit link information:
        link line regex: [^( *|.*[/\\])(ld[0-9]*(\\.[a-z]+)?|CMAKE_LINK_STARTFILE-NOTFOUND|([^/\\]+-)?ld|collect2)[^/\\]*( |$)]
        linker tool regex: [^[ 	]*(->|")?[ 	]*(([^"]*[/\\])?(ld[0-9]*(\\.[a-z]+)?))("|,| |$)]
        ignore line: [Change Dir: '/data/jenkins/workspace/oi-encumbered/components/encumbered/faad2/build/amd64/CMakeFiles/CMakeScratch/TryCompile-RBWLza']
        ignore line: []
        ignore line: [Run Build Command(s): /usr/bin/cmake -E env VERBOSE=1 /usr/bin/gmake -f Makefile cmTC_d6786/fast]
        ignore line: [/usr/bin/gmake  -f CMakeFiles/cmTC_d6786.dir/build.make CMakeFiles/cmTC_d6786.dir/build]
        ignore line: [gmake[1]: Entering directory '/data/jenkins/workspace/oi-encumbered/components/encumbered/faad2/build/amd64/CMakeFiles/CMakeScratch/TryCompile-RBWLza']
        ignore line: [Building C object CMakeFiles/cmTC_d6786.dir/CMakeCCompilerABI.c.o]
        ignore line: [/usr/gcc/14/bin/gcc   -m64 -O3  -D_LARGEFILE64_SOURCE    -v -o CMakeFiles/cmTC_d6786.dir/CMakeCCompilerABI.c.o -c /usr/share/cmake-3.31/Modules/CMakeCCompilerABI.c]
        ignore line: [Using built-in specs.]
        ignore line: [COLLECT_GCC=/usr/gcc/14/bin/gcc]
        ignore line: [Target: x86_64-pc-solaris2.11]
        ignore line: [Configured with: /jenkins/jobs/oi-userland/workspace/components/developer/gcc-14/gcc-releases-gcc-14.2.0/configure CC=/usr/gcc/13/bin/gcc CXX=/usr/gcc/13/bin/g++ F77=/usr/gcc/13/bin/gfortran FC=/usr/gcc/13/bin/gfortran CFLAGS= CXXFLAGS= FFLAGS='  -O3 ' FCFLAGS=-O2 LDFLAGS=-RPT/lib PKG_CONFIG_PATH=/usr/mariadb/10.6/lib/amd64/pkgconfig:/usr/openssl/3.1/lib/64/pkgconfig:/usr/lib/amd64/pkgconfig:/usr/lib/pkgconfig --prefix=/usr/gcc/14 --mandir=/usr/gcc/14/share/man --bindir=/usr/gcc/14/bin --includedir=/usr/include --infodir=/usr/share/info --libdir=/usr/gcc/14/lib --libexecdir=/usr/gcc/14/libexec --localedir=/usr/gcc/14/share/locale --localstatedir=/var --sbindir=/usr/gcc/14/sbin --sysconfdir=/etc --sbindir=/usr/gcc/14/bin --libdir=/usr/gcc/14/lib --libexecdir=/usr/gcc/14/lib --host x86_64-pc-solaris2.11 --build x86_64-pc-solaris2.11 --target x86_64-pc-solaris2.11 --with-pkgversion='OpenIndiana 14.2.0-oi-1' --with-bugurl=https://bugs.openindiana.org --without-gnu-ld --with-ld=/usr/bin/ld --with-build-time-tools=/usr/gnu/x86_64-pc-solaris2.11/bin --with-gnu-as --with-as=/usr/bin/gas LDFLAGS=-R/usr/gcc/14/lib --with-ld=/usr/bin/ld --without-gnu-ld --with-as=/usr/bin/gas --with-gnu-as --with-build-time-tools=/usr/gnu//bin --with-build-config=no --enable-languages=c,c++,fortran,go,objc --enable-shared --with-system-zlib --enable-plugins --enable-__cxa_atexit --enable-initfini-array --with-diagnostics-urls=auto-if-env enable_frame_pointer=yes]
        ignore line: [Thread model: posix]
        ignore line: [Supported LTO compression algorithms: zlib zstd]
        ignore line: [gcc version 14.2.0 (OpenIndiana 14.2.0-oi-1) ]
        ignore line: [COLLECT_GCC_OPTIONS='-m64' '-O3' '-D' '_LARGEFILE64_SOURCE' '-v' '-o' 'CMakeFiles/cmTC_d6786.dir/CMakeCCompilerABI.c.o' '-c' '-mtune=generic' '-march=x86-64' '-dumpdir' 'CMakeFiles/cmTC_d6786.dir/']
        ignore line: [ /usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/cc1 -quiet -v -D _LARGEFILE64_SOURCE /usr/share/cmake-3.31/Modules/CMakeCCompilerABI.c -quiet -dumpdir CMakeFiles/cmTC_d6786.dir/ -dumpbase CMakeCCompilerABI.c.c -dumpbase-ext .c -m64 -mtune=generic -march=x86-64 -O3 -version -o /var/tmp//cc7CqPza.s]
        ignore line: [GNU C17 (OpenIndiana 14.2.0-oi-1) version 14.2.0 (x86_64-pc-solaris2.11)]
        ignore line: [	compiled by GNU C version 14.2.0  GMP version 6.3.0  MPFR version 4.2.1  MPC version 1.3.1  isl version none]
        ignore line: [GGC heuristics: --param ggc-min-expand=100 --param ggc-min-heapsize=131072]
        ignore line: [ignoring nonexistent directory "/usr/local/include"]
        ignore line: [ignoring nonexistent directory "/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/include-fixed"]
        ignore line: [ignoring nonexistent directory "/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/../../../../x86_64-pc-solaris2.11/include"]
        ignore line: [#include "..." search starts here:]
        ignore line: [#include <...> search starts here:]
        ignore line: [ /usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/include]
        ignore line: [ /usr/gcc/14/include]
        ignore line: [ /usr/include]
        ignore line: [End of search list.]
        ignore line: [Compiler executable checksum: e1b01aca0ef3a2e8c68aac710dc2ed70]
        ignore line: [COLLECT_GCC_OPTIONS='-m64' '-O3' '-D' '_LARGEFILE64_SOURCE' '-v' '-o' 'CMakeFiles/cmTC_d6786.dir/CMakeCCompilerABI.c.o' '-c' '-mtune=generic' '-march=x86-64' '-dumpdir' 'CMakeFiles/cmTC_d6786.dir/']
        ignore line: [ /usr/bin/gas -v -V -Qy -s --64 -o CMakeFiles/cmTC_d6786.dir/CMakeCCompilerABI.c.o /var/tmp//cc7CqPza.s]
        ignore line: [GNU assembler version 2.44 (x86_64-pc-solaris2.11) using BFD version (GNU Binutils) 2.44]
        ignore line: [COMPILER_PATH=/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/:/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/:/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/:/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/:/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/:/usr/ccs/bin/]
        ignore line: [LIBRARY_PATH=/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/:/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/../../../amd64/:/lib/amd64/:/usr/lib/amd64/:/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/../../../:/lib/:/usr/lib/]
        ignore line: [COLLECT_GCC_OPTIONS='-m64' '-O3' '-D' '_LARGEFILE64_SOURCE' '-v' '-o' 'CMakeFiles/cmTC_d6786.dir/CMakeCCompilerABI.c.o' '-c' '-mtune=generic' '-march=x86-64' '-dumpdir' 'CMakeFiles/cmTC_d6786.dir/CMakeCCompilerABI.c.']
        ignore line: [Linking C executable cmTC_d6786]
        ignore line: [/usr/bin/cmake -E cmake_link_script CMakeFiles/cmTC_d6786.dir/link.txt --verbose=1]
        ignore line: [Using built-in specs.]
        ignore line: [COLLECT_GCC=/usr/gcc/14/bin/gcc]
        ignore line: [COLLECT_LTO_WRAPPER=/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/lto-wrapper]
        ignore line: [Target: x86_64-pc-solaris2.11]
        ignore line: [Configured with: /jenkins/jobs/oi-userland/workspace/components/developer/gcc-14/gcc-releases-gcc-14.2.0/configure CC=/usr/gcc/13/bin/gcc CXX=/usr/gcc/13/bin/g++ F77=/usr/gcc/13/bin/gfortran FC=/usr/gcc/13/bin/gfortran CFLAGS= CXXFLAGS= FFLAGS='  -O3 ' FCFLAGS=-O2 LDFLAGS=-RPT/lib PKG_CONFIG_PATH=/usr/mariadb/10.6/lib/amd64/pkgconfig:/usr/openssl/3.1/lib/64/pkgconfig:/usr/lib/amd64/pkgconfig:/usr/lib/pkgconfig --prefix=/usr/gcc/14 --mandir=/usr/gcc/14/share/man --bindir=/usr/gcc/14/bin --includedir=/usr/include --infodir=/usr/share/info --libdir=/usr/gcc/14/lib --libexecdir=/usr/gcc/14/libexec --localedir=/usr/gcc/14/share/locale --localstatedir=/var --sbindir=/usr/gcc/14/sbin --sysconfdir=/etc --sbindir=/usr/gcc/14/bin --libdir=/usr/gcc/14/lib --libexecdir=/usr/gcc/14/lib --host x86_64-pc-solaris2.11 --build x86_64-pc-solaris2.11 --target x86_64-pc-solaris2.11 --with-pkgversion='OpenIndiana 14.2.0-oi-1' --with-bugurl=https://bugs.openindiana.org --without-gnu-ld --with-ld=/usr/bin/ld --with-build-time-tools=/usr/gnu/x86_64-pc-solaris2.11/bin --with-gnu-as --with-as=/usr/bin/gas LDFLAGS=-R/usr/gcc/14/lib --with-ld=/usr/bin/ld --without-gnu-ld --with-as=/usr/bin/gas --with-gnu-as --with-build-time-tools=/usr/gnu//bin --with-build-config=no --enable-languages=c,c++,fortran,go,objc --enable-shared --with-system-zlib --enable-plugins --enable-__cxa_atexit --enable-initfini-array --with-diagnostics-urls=auto-if-env enable_frame_pointer=yes]
        ignore line: [Thread model: posix]
        ignore line: [Supported LTO compression algorithms: zlib zstd]
        ignore line: [gcc version 14.2.0 (OpenIndiana 14.2.0-oi-1) ]
        ignore line: [COMPILER_PATH=/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/:/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/:/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/:/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/:/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/:/usr/ccs/bin/]
        ignore line: [LIBRARY_PATH=/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/:/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/../../../amd64/:/lib/amd64/:/usr/lib/amd64/:/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/../../../:/lib/:/usr/lib/]
        ignore line: [COLLECT_GCC_OPTIONS='-O3' '-D' '_LARGEFILE64_SOURCE' '-m64' '-v' '-o' 'cmTC_d6786' '-mtune=generic' '-march=x86-64' '-dumpdir' 'cmTC_d6786.']
        link line: [ /usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/collect2 -V -Y P,/usr/gcc/14/lib/amd64:/lib/amd64:/usr/lib/amd64 -L /usr/gcc/14/lib/amd64 -R /usr/gcc/14/lib/amd64 -Qy -o cmTC_d6786 /usr/lib/amd64/crt1.o /usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/crtp.o /usr/lib/amd64/crti.o /usr/lib/amd64/values-Xa.o /usr/lib/amd64/values-xpg6.o /usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/crtbegin.o -L/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0 -L/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/../../../amd64 -L/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/../../.. CMakeFiles/cmTC_d6786.dir/CMakeCCompilerABI.c.o -lgcc -z ignore -lgcc_s -z record -lc -lgcc -z ignore -lgcc_s -z record /usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/crtend.o /usr/lib/amd64/crtn.o]
          arg [/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/collect2] ==> ignore
          arg [-V] ==> ignore
          arg [-YP,/usr/gcc/14/lib/amd64:/lib/amd64:/usr/lib/amd64] ==> dirs [/usr/gcc/14/lib/amd64;/lib/amd64;/usr/lib/amd64]
          arg [-L/usr/gcc/14/lib/amd64] ==> dir [/usr/gcc/14/lib/amd64]
          arg [-R] ==> ignore
          arg [/usr/gcc/14/lib/amd64] ==> ignore
          arg [-Qy] ==> ignore
          arg [-o] ==> ignore
          arg [cmTC_d6786] ==> ignore
          arg [/usr/lib/amd64/crt1.o] ==> obj [/usr/lib/amd64/crt1.o]
          arg [/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/crtp.o] ==> obj [/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/crtp.o]
          arg [/usr/lib/amd64/crti.o] ==> obj [/usr/lib/amd64/crti.o]
          arg [/usr/lib/amd64/values-Xa.o] ==> obj [/usr/lib/amd64/values-Xa.o]
          arg [/usr/lib/amd64/values-xpg6.o] ==> obj [/usr/lib/amd64/values-xpg6.o]
          arg [/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/crtbegin.o] ==> obj [/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/crtbegin.o]
          arg [-L/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0] ==> dir [/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0]
          arg [-L/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/../../../amd64] ==> dir [/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/../../../amd64]
          arg [-L/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/../../..] ==> dir [/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/../../..]
          arg [CMakeFiles/cmTC_d6786.dir/CMakeCCompilerABI.c.o] ==> ignore
          arg [-lgcc] ==> lib [gcc]
          arg [-zignore] ==> ignore
          arg [-lgcc_s] ==> lib [gcc_s]
          arg [-zrecord] ==> ignore
          arg [-lc] ==> lib [c]
          arg [-lgcc] ==> lib [gcc]
          arg [-zignore] ==> ignore
          arg [-lgcc_s] ==> lib [gcc_s]
          arg [-zrecord] ==> ignore
          arg [/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/crtend.o] ==> obj [/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/crtend.o]
          arg [/usr/lib/amd64/crtn.o] ==> obj [/usr/lib/amd64/crtn.o]
        ignore line: [ld: Software Generation Utilities - Solaris Link Editors: 5.11-1.1790 (illumos)]
        ignore line: [COLLECT_GCC_OPTIONS='-O3' '-D' '_LARGEFILE64_SOURCE' '-m64' '-v' '-o' 'cmTC_d6786' '-mtune=generic' '-march=x86-64' '-dumpdir' 'cmTC_d6786.']
        ignore line: [/usr/gcc/14/bin/gcc -m64 -O3  -D_LARGEFILE64_SOURCE  -m64 -v CMakeFiles/cmTC_d6786.dir/CMakeCCompilerABI.c.o -o cmTC_d6786]
        ignore line: [gmake[1]: Leaving directory '/data/jenkins/workspace/oi-encumbered/components/encumbered/faad2/build/amd64/CMakeFiles/CMakeScratch/TryCompile-RBWLza']
        ignore line: []
        ignore line: []
        linker tool for 'C': /usr/bin/ld
        collapse library dir [/usr/gcc/14/lib/amd64] ==> [/usr/gcc/14/lib/amd64]
        collapse library dir [/lib/amd64] ==> [/lib/amd64]
        collapse library dir [/usr/lib/amd64] ==> [/usr/lib/amd64]
        collapse library dir [/usr/gcc/14/lib/amd64] ==> [/usr/gcc/14/lib/amd64]
        collapse library dir [/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0] ==> [/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0]
        collapse library dir [/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/../../../amd64] ==> [/usr/gcc/14/lib/amd64]
        collapse library dir [/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/../../..] ==> [/usr/gcc/14/lib]
        implicit libs: [gcc;gcc_s;c;gcc;gcc_s]
        implicit objs: [/usr/lib/amd64/crt1.o;/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/crtp.o;/usr/lib/amd64/crti.o;/usr/lib/amd64/values-Xa.o;/usr/lib/amd64/values-xpg6.o;/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/crtbegin.o;/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0/crtend.o;/usr/lib/amd64/crtn.o]
        implicit dirs: [/usr/gcc/14/lib/amd64;/lib/amd64;/usr/lib/amd64;/usr/gcc/14/lib/gcc/x86_64-pc-solaris2.11/14.2.0;/usr/gcc/14/lib]
        implicit fwks: []
      
      
  -
    kind: "message-v1"
    backtrace:
      - "/usr/share/cmake-3.31/Modules/Internal/CMakeDetermineLinkerId.cmake:40 (message)"
      - "/usr/share/cmake-3.31/Modules/CMakeDetermineCompilerABI.cmake:255 (cmake_determine_linker_id)"
      - "/usr/share/cmake-3.31/Modules/CMakeTestCCompiler.cmake:26 (CMAKE_DETERMINE_COMPILER_ABI)"
      - "CMakeLists.txt:9 (project)"
    message: |
      Running the C compiler's linker: "/usr/bin/ld" "-v"
      ld: fatal: unrecognized option '-v'
      ld: fatal: use the -z help option for usage information
  -
    kind: "message-v1"
    backtrace:
      - "/usr/share/cmake-3.31/Modules/Internal/CMakeDetermineLinkerId.cmake:40 (message)"
      - "/usr/share/cmake-3.31/Modules/CMakeDetermineCompilerABI.cmake:255 (cmake_determine_linker_id)"
      - "/usr/share/cmake-3.31/Modules/CMakeTestCCompiler.cmake:26 (CMAKE_DETERMINE_COMPILER_ABI)"
      - "CMakeLists.txt:9 (project)"
    message: |
      Running the C compiler's linker: "/usr/bin/ld" "-V"
      ld: Software Generation Utilities - Solaris Link Editors: 5.11-1.1790 (illumos)
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/share/cmake-3.31/Modules/CheckLibraryExists.cmake:78 (try_compile)"
      - "CMakeLists.txt:115 (check_library_exists)"
    checks:
      - "Looking for lrintf in m"
    directories:
      source: "/data/jenkins/workspace/oi-encumbered/components/encumbered/faad2/build/amd64/CMakeFiles/CMakeScratch/TryCompile-SBWLza"
      binary: "/data/jenkins/workspace/oi-encumbered/components/encumbered/faad2/build/amd64/CMakeFiles/CMakeScratch/TryCompile-SBWLza"
    cmakeVariables:
      CMAKE_C_FLAGS: "-m64 -O3  -D_LARGEFILE64_SOURCE"
      CMAKE_C_FLAGS_DEBUG: "-g"
      CMAKE_EXE_LINKER_FLAGS: "-m64"
    buildResult:
      variable: "HAVE_LIBM"
      cached: true
      stdout: |
        Change Dir: '/data/jenkins/workspace/oi-encumbered/components/encumbered/faad2/build/amd64/CMakeFiles/CMakeScratch/TryCompile-SBWLza'
        
        Run Build Command(s): /usr/bin/cmake -E env VERBOSE=1 /usr/bin/gmake -f Makefile cmTC_38f3c/fast
        /usr/bin/gmake  -f CMakeFiles/cmTC_38f3c.dir/build.make CMakeFiles/cmTC_38f3c.dir/build
        gmake[1]: Entering directory '/data/jenkins/workspace/oi-encumbered/components/encumbered/faad2/build/amd64/CMakeFiles/CMakeScratch/TryCompile-SBWLza'
        Building C object CMakeFiles/cmTC_38f3c.dir/CheckFunctionExists.c.o
        /usr/gcc/14/bin/gcc   -m64 -O3  -D_LARGEFILE64_SOURCE -DCHECK_FUNCTION_EXISTS=lrintf -o CMakeFiles/cmTC_38f3c.dir/CheckFunctionExists.c.o -c /data/jenkins/workspace/oi-encumbered/components/encumbered/faad2/build/amd64/CMakeFiles/CMakeScratch/TryCompile-SBWLza/CheckFunctionExists.c
        <command-line>: warning: conflicting types for built-in function 'lrintf'; expected 'long int(float)' [-Wbuiltin-declaration-mismatch]
        /data/jenkins/workspace/oi-encumbered/components/encumbered/faad2/build/amd64/CMakeFiles/CMakeScratch/TryCompile-SBWLza/CheckFunctionExists.c:7:3: note: in expansion of macro 'CHECK_FUNCTION_EXISTS'
            7 |   CHECK_FUNCTION_EXISTS(void);
              |   ^~~~~~~~~~~~~~~~~~~~~
        /data/jenkins/workspace/oi-encumbered/components/encumbered/faad2/build/amd64/CMakeFiles/CMakeScratch/TryCompile-SBWLza/CheckFunctionExists.c:1:1: note: 'lrintf' is declared in header '<math.h>'
          +++ |+#include <math.h>
            1 | #ifdef CHECK_FUNCTION_EXISTS
        Linking C executable cmTC_38f3c
        /usr/bin/cmake -E cmake_link_script CMakeFiles/cmTC_38f3c.dir/link.txt --verbose=1
        /usr/gcc/14/bin/gcc -m64 -O3  -D_LARGEFILE64_SOURCE -DCHECK_FUNCTION_EXISTS=lrintf -m64  CMakeFiles/cmTC_38f3c.dir/CheckFunctionExists.c.o -o cmTC_38f3c  -lm
        gmake[1]: Leaving directory '/data/jenkins/workspace/oi-encumbered/components/encumbered/faad2/build/amd64/CMakeFiles/CMakeScratch/TryCompile-SBWLza'
        
      exitCode: 0
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/share/cmake-3.31/Modules/CheckSymbolExists.cmake:163 (try_compile)"
      - "/usr/share/cmake-3.31/Modules/CheckSymbolExists.cmake:68 (__CHECK_SYMBOL_EXISTS_IMPL)"
      - "CMakeLists.txt:120 (check_symbol_exists)"
    checks:
      - "Looking for lrintf"
    directories:
      source: "/data/jenkins/workspace/oi-encumbered/components/encumbered/faad2/build/amd64/CMakeFiles/CMakeScratch/TryCompile-TBWLza"
      binary: "/data/jenkins/workspace/oi-encumbered/components/encumbered/faad2/build/amd64/CMakeFiles/CMakeScratch/TryCompile-TBWLza"
    cmakeVariables:
      CMAKE_C_FLAGS: "-m64 -O3  -D_LARGEFILE64_SOURCE"
      CMAKE_C_FLAGS_DEBUG: "-g"
      CMAKE_EXE_LINKER_FLAGS: "-m64"
    buildResult:
      variable: "HAVE_LRINTF"
      cached: true
      stdout: |
        Change Dir: '/data/jenkins/workspace/oi-encumbered/components/encumbered/faad2/build/amd64/CMakeFiles/CMakeScratch/TryCompile-TBWLza'
        
        Run Build Command(s): /usr/bin/cmake -E env VERBOSE=1 /usr/bin/gmake -f Makefile cmTC_74ba9/fast
        /usr/bin/gmake  -f CMakeFiles/cmTC_74ba9.dir/build.make CMakeFiles/cmTC_74ba9.dir/build
        gmake[1]: Entering directory '/data/jenkins/workspace/oi-encumbered/components/encumbered/faad2/build/amd64/CMakeFiles/CMakeScratch/TryCompile-TBWLza'
        Building C object CMakeFiles/cmTC_74ba9.dir/CheckSymbolExists.c.o
        /usr/gcc/14/bin/gcc   -m64 -O3  -D_LARGEFILE64_SOURCE  -o CMakeFiles/cmTC_74ba9.dir/CheckSymbolExists.c.o -c /data/jenkins/workspace/oi-encumbered/components/encumbered/faad2/build/amd64/CMakeFiles/CMakeScratch/TryCompile-TBWLza/CheckSymbolExists.c
        Linking C executable cmTC_74ba9
        /usr/bin/cmake -E cmake_link_script CMakeFiles/cmTC_74ba9.dir/link.txt --verbose=1
        /usr/gcc/14/bin/gcc -m64 -O3  -D_LARGEFILE64_SOURCE  -m64  CMakeFiles/cmTC_74ba9.dir/CheckSymbolExists.c.o -o cmTC_74ba9  -lm
        gmake[1]: Leaving directory '/data/jenkins/workspace/oi-encumbered/components/encumbered/faad2/build/amd64/CMakeFiles/CMakeScratch/TryCompile-TBWLza'
        
      exitCode: 0
...
